<?php

namespace FML\Controls\Quads;

use FML\Controls\Quad;

/**
 * Quad Class for 'Icons64x64_1' Style
 *
 * @author steeffeen
 * @copyright FancyManiaLinks Copyright © 2014 Steffen Schröder
 * @license http://www.gnu.org/licenses/ GNU General Public License, Version 3
 */
class Quad_Icons64x64_1 extends Quad {
	/*
	 * Constants
	 */
	const STYLE = 'Icons64x64_1';
	const SUBSTYLE_3DStereo = '3DStereo';
	const SUBSTYLE_Add = 'Add';
	const SUBSTYLE_ArrowBlue = 'ArrowBlue';
	const SUBSTYLE_ArrowDisabled = 'ArrowDisabled';
	const SUBSTYLE_ArrowDown = 'ArrowDown';
	const SUBSTYLE_ArrowFastNext = 'ArrowFastNext';
	const SUBSTYLE_ArrowFastPrev = 'ArrowFastPrev';
	const SUBSTYLE_ArrowFirst = 'ArrowFirst';
	const SUBSTYLE_ArrowGreen = 'ArrowGreen';
	const SUBSTYLE_ArrowLast = 'ArrowLast';
	const SUBSTYLE_ArrowNext = 'ArrowNext';
	const SUBSTYLE_ArrowPrev = 'ArrowPrev';
	const SUBSTYLE_ArrowRed = 'ArrowRed';
	const SUBSTYLE_ArrowUp = 'ArrowUp';
	const SUBSTYLE_Browser = 'Browser';
	const SUBSTYLE_Buddy = 'Buddy';
	const SUBSTYLE_ButtonLeagues = 'ButtonLeagues';
	const SUBSTYLE_Camera = 'Camera';
	const SUBSTYLE_CameraLocal = 'CameraLocal';
	const SUBSTYLE_Check = 'Check';
	const SUBSTYLE_ClipPause = 'ClipPause';
	const SUBSTYLE_ClipPlay = 'ClipPlay';
	const SUBSTYLE_ClipRewind = 'ClipRewind';
	const SUBSTYLE_Close = 'Close';
	const SUBSTYLE_Empty = 'Empty';
	const SUBSTYLE_Finish = 'Finish';
	const SUBSTYLE_FinishGrey = 'FinishGrey';
	const SUBSTYLE_First = 'First';
	const SUBSTYLE_GenericButton = 'GenericButton';
	const SUBSTYLE_Green = 'Green';
	const SUBSTYLE_IconLeaguesLadder = 'IconLeaguesLadder';
	const SUBSTYLE_IconPlayers = 'IconPlayers';
	const SUBSTYLE_IconPlayersLadder = 'IconPlayersLadder';
	const SUBSTYLE_IconServers = 'IconServers';
	const SUBSTYLE_Inbox = 'Inbox';
	const SUBSTYLE_LvlGreen = 'LvlGreen';
	const SUBSTYLE_LvlRed = 'LvlRed';
	const SUBSTYLE_LvlYellow = 'LvlYellow';
	const SUBSTYLE_ManiaLinkNext = 'ManiaLinkNext';
	const SUBSTYLE_ManiaLinkPrev = 'ManiaLinkPrev';
	const SUBSTYLE_Maximize = 'Maximize';
	const SUBSTYLE_MediaAudioDownloading = 'MediaAudioDownloading';
	const SUBSTYLE_MediaPlay = 'MediaPlay';
	const SUBSTYLE_MediaStop = 'MediaStop';
	const SUBSTYLE_MediaVideoDownloading = 'MediaVideoDownloading';
	const SUBSTYLE_NewMessage = 'NewMessage';
	const SUBSTYLE_NotBuddy = 'NotBuddy';
	const SUBSTYLE_OfficialRace = 'OfficialRace';
	const SUBSTYLE_Opponents = 'Opponents';
	const SUBSTYLE_Outbox = 'Outbox';
	const SUBSTYLE_QuitRace = 'QuitRace';
	const SUBSTYLE_RedHigh = 'RedHigh';
	const SUBSTYLE_RedLow = 'RedLow';
	const SUBSTYLE_Refresh = 'Refresh';
	const SUBSTYLE_RestartRace = 'RestartRace';
	const SUBSTYLE_Save = 'Save';
	const SUBSTYLE_Second = 'Second';
	const SUBSTYLE_ShowDown = 'ShowDown';
	const SUBSTYLE_ShowDown2 = 'ShowDown2';
	const SUBSTYLE_ShowLeft = 'ShowLeft';
	const SUBSTYLE_ShowLeft2 = 'ShowLeft2';
	const SUBSTYLE_ShowRight = 'ShowRight';
	const SUBSTYLE_ShowRight2 = 'ShowRight2';
	const SUBSTYLE_ShowUp = 'ShowUp';
	const SUBSTYLE_ShowUp2 = 'ShowUp2';
	const SUBSTYLE_ShowUpChanging = 'ShowUpChanging';
	const SUBSTYLE_SliderCursor = 'SliderCursor';
	const SUBSTYLE_SliderCursor2 = 'SliderCursor2';
	const SUBSTYLE_StateFavourite = 'StateFavourite';
	const SUBSTYLE_StatePrivate = 'StatePrivate';
	const SUBSTYLE_StateSuggested = 'StateSuggested';
	const SUBSTYLE_Sub = 'Sub';
	const SUBSTYLE_TagTypeBronze = 'TagTypeBronze';
	const SUBSTYLE_TagTypeGold = 'TagTypeGold';
	const SUBSTYLE_TagTypeNadeo = 'TagTypeNadeo';
	const SUBSTYLE_TagTypeNone = 'TagTypeNone';
	const SUBSTYLE_TagTypeSilver = 'TagTypeSilver';
	const SUBSTYLE_Third = 'Third';
	const SUBSTYLE_ToolLeague1 = 'ToolLeague1';
	const SUBSTYLE_ToolRoot = 'ToolRoot';
	const SUBSTYLE_ToolTree = 'ToolTree';
	const SUBSTYLE_ToolUp = 'ToolUp';
	const SUBSTYLE_TrackInfo = 'TrackInfo';
	const SUBSTYLE_TV = 'TV';
	const SUBSTYLE_YellowHigh = 'YellowHigh';
	const SUBSTYLE_YellowLow = 'YellowLow';

	/**
	 * Create a new Quad_Icons64x64_1 Control
	 *
	 * @param string $id (optional) Control Id
	 * @return \FML\Controls\Quads\Quad_Icons64x64_1
	 */
	public static function create($id = null) {
		$quadIcons64x64_1 = new Quad_Icons64x64_1($id);
		return $quadIcons64x64_1;
	}

	/**
	 * Construct a new Quad_Icons64x64_1 Control
	 *
	 * @param string $id (optional) Control Id
	 */
	public function __construct($id = null) {
		parent::__construct($id);
		$this->setStyle(self::STYLE);
	}
}
